Changeset 6953 in josm for trunk/src


Ignore:
Timestamp:
2014-04-01T01:12:46+02:00 (6 years ago)
Author:
Don-vip
Message:

see #8465 - Ask Linux Mint users to update their Java 6 version to Java 7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/org/openstreetmap/josm/tools/PlatformHookUnixoid.java

    r6952 r6953  
    4646            String os = getOSDescription();
    4747            if (java != null && java.startsWith("1.6") && os != null && (
    48                     os.startsWith("Linux Debian GNU/Linux 7") ||
     48                    os.startsWith("Linux Debian GNU/Linux 7") || os.startsWith("Linux Mint") ||
    4949                    os.startsWith("Linux Ubuntu 12") || os.startsWith("Linux Ubuntu 13") || os.startsWith("Linux Ubuntu 14"))) {
    5050                askUpdateJava(java, "apt://openjdk-7-jre");
     
    121121
    122122    /**
    123      * Determines if the distribution is Debian or Ubuntu.
    124      * @return {@code true} if the distribution is Debian or Ubuntu, {@code false} otherwise
     123     * Determines if the distribution is Debian or Ubuntu, or a derivative.
     124     * @return {@code true} if the distribution is Debian, Ubuntu or Mint, {@code false} otherwise
    125125     */
    126126    public static boolean isDebianOrUbuntu() {
    127127        try {
    128128            String dist = Utils.execOutput(Arrays.asList("lsb_release", "-i", "-s"));
    129             return "Debian".equalsIgnoreCase(dist) || "Ubuntu".equalsIgnoreCase(dist);
     129            return "Debian".equalsIgnoreCase(dist) || "Ubuntu".equalsIgnoreCase(dist) || "Mint".equalsIgnoreCase(dist);
    130130        } catch (IOException e) {
    131131            Main.warn(e);
Note: See TracChangeset for help on using the changeset viewer.